//////////////////////////////////////////////////////////////////
///adds to Bernard's dialogue so he can give you the letter
///////////////////////////////////////////////////////////////////

EXTEND_TOP ~BERNARD~ 0 22 37
	IF ~Global("GGEJMQGletter","GLOBAL",0) !Alignment(Player1,MASK_EVIL) ~ THEN REPLY ~Do you have anything for me today, Bernard?~ GOTO getLetterGood
	IF ~Global("GGEJMQGletter","GLOBAL",0) Alignment(Player1,MASK_EVIL) ~ THEN REPLY ~Do you have anything for me today, Bernard?~ GOTO getLetterEvil
END

APPEND BERNARD

IF~~THEN BEGIN getLetterGood
	SAY ~Oh, <CHARNAME>, there you are. Some priest came by and wanted me to give you this letter. You haven’t been angering any gods, have you?~

	++ ~I don’t think so.~ GOTO probNotGood
	++ ~Of course not!~ GOTO defNoGood
	++ ~I absolutely have.~ GOTO yuppersGood
END

IF ~~ THEN BEGIN probNotGood
	SAY ~You don’t think so? Well, even if you did, it’s business as usual for me.~ 
IF ~~ THEN DO ~
   GiveItemCreate("GGERLetG",Player1,1,1,0) SetGlobal("GGEJMQGletter","GLOBAL",1) ~ EXIT
END

IF ~~ THEN BEGIN defNoGood
	SAY ~Business as usual then.~ 
IF ~~ THEN DO ~
   GiveItemCreate("GGERLetG",Player1,1,1,0) SetGlobal("GGEJMQGletter","GLOBAL",1) ~ EXIT
END

IF ~~ THEN BEGIN yuppersGood
	SAY ~So long as you don’t bring that trouble to the Coronet. We have enough problems around here.~ 
IF ~~ THEN DO ~
   GiveItemCreate("GGERLetG",Player1,1,1,0) SetGlobal("GGEJMQGletter","GLOBAL",1) ~ EXIT
END


IF~~THEN BEGIN getLetterEvil
	SAY ~Oh, <CHARNAME>, there you are. Some priest came by and wanted me to give you this letter. You haven’t been angering any gods, have you?~

	++ ~I don’t think so.~ GOTO probNotEvil
	++ ~Of course not!~ GOTO defNoEvil
	++ ~I absolutely have.~ GOTO yuppersEvil
END

IF ~~ THEN BEGIN probNotEvil
	SAY ~You don’t think so? Well, even if you did, it’s business as usual for me.~ 
IF ~~ THEN DO ~
   GiveItemCreate("GGERLetE",Player1,1,1,0) SetGlobal("GGEJMQGletter","GLOBAL",1) ~ EXIT
END

IF ~~ THEN BEGIN defNoEvil
	SAY ~Business as usual then.~ 
IF ~~ THEN DO ~
   GiveItemCreate("GGERLetE",Player1,1,1,0) SetGlobal("GGEJMQGletter","GLOBAL",1) ~ EXIT
END

IF ~~ THEN BEGIN yuppersEvil
	SAY ~So long as you don’t bring that trouble to the Coronet. We have enough problems around here.~ 
IF ~~ THEN DO ~
   GiveItemCreate("GGERLetE",Player1,1,1,0) SetGlobal("GGEJMQGletter","GLOBAL",1) ~ EXIT
END





END
